<!doctype html>
<html>
<head>
    <title>How to make PHP numeric pagination</title>
    <link href="style.css" type="text/css" rel="stylesheet">
    
</head>
<body>
<div id="content">
    <?php
    include("config.php");

    $rowperpage = 5; // Total rows display
    
    $row = 0;
    if(isset($_GET['page'])){
        $row = $_GET['page']-1;
        if($row < 0){
            $row = 0;
        }
    }

    // count total number of rows
    $sql = "SELECT COUNT(*) AS cntrows FROM employee";
    $result = mysql_query($sql);
    $fetchresult = mysql_fetch_array($result);
    $allcount = $fetchresult['cntrows'];
    ?>

    <table width="100%" id="emp_table" border="1" >
        <tr class="tr_header">
            <th>S.no</th>
            <th>Name</th>
            <th>Salary</th>
        </tr>
        <?php        

        // selecting rows
        $limitrow = $row*$rowperpage;
        $sql = "SELECT * FROM employee  ORDER BY ID ASC limit $limitrow,".$rowperpage;
        $result = mysql_query($sql);

        /////////////
        $sno = $row + 1;
        if(isset($_GET['page'])){
            $sno = (($_GET['page']*$rowperpage)+1) - $rowperpage;
            if($sno <=0) $sno = 1;
        }
        while($fetch = mysql_fetch_array($result)){
            $name = $fetch['emp_name'];
            $salary = $fetch['salary'];
            ?>
            <tr>
                <td align='center'><?php echo $sno; ?></td>
                <td align='center'><?php echo $name; ?></td>
                <td align='center'><?php echo $salary; ?></td>
            </tr>
            <?php
            $sno ++;
        }
        ?>
    </table>


    <!-- Number list (start) -->
    <ul class="pagination">
    
    <?php
    
    // calculate total pages
    $total_pages = ceil($allcount / $rowperpage); 

    $i = 1;$prev = 0;

    // Total number list show
    $numpages = 5;

    // Set previous page number and start page 
    if(isset($_GET['next'])){
        $i = $_GET['next']+1;
        $prev = $_GET['next'] - ($numpages);
    }

    if($prev <= 0) $prev = 1;
    if($i == 0) $i=1;

    // Previous button next page number
    
    $prevnext = 0;
    if(isset($_GET['next'])){
        $prevnext = ($_GET['next'])-($numpages+1);
        if($prevnext < 0){
            $prevnext = 0;
        }
    }
    
    // Previous Button
    echo '<li ><a href="?page='.$prev.'&next='.$prevnext.'">Previous</a></li>';
    
    if($i != 1){
        echo '<li ><a href="?page='.($i-1).'&next='.$_GET['next'].'" '; 
        if( ($i-1) == $_GET['page'] ){
            echo ' class="active" ';
        }
        echo ' >'.($i-1).'</a></li>';
    }
     
    // Number List
    for ($shownum = 0; $i<=$total_pages; $i++,$shownum++) {
        if($i%($numpages+1) == 0){
            break;
        }
        
        if(isset($_GET['next'])){    
            echo "<li><a href='?page=".$i."&next=".$_GET['next']."'";
        }else{
            echo "<li><a href='?page=".$i."'";
        }
        
        // Active
        if(isset($_GET['page'])){
            if ($i==$_GET['page'])  
                echo " class='active'";
        }
        echo ">".$i."</a></li> ";
             
    }

    // Set next button
    $next = $i+$rowperpage;
    if(($next*$rowperpage) > $allcount){
        $next = ($next-$rowperpage)*$rowperpage;
    }

    // Next Button
    if( ($next-$rowperpage) < $allcount  ){    
        if($shownum == ($numpages)){
            echo '<li ><a href="?page='.$i.'&next='.$i.'">Next</a></li>';
        }
    }
    
    ?>
    </ul>
    <!-- Numbered List (end) -->
</div>
</body>
</html>
